/* Copyright (C) 2024 Manuel Bustillo*/

import AffinityGroupsTree from '@/app/ui/guests/affinity-groups-tree';
import GuestsTable from '@/app/ui/guests/table';
import React, { Suspense } from 'react';
import SkeletonTable from '@/app/ui/guests/skeleton-row';
import { TabView, TabPanel } from 'primereact/tabview';
import GroupsTable from '@/app/ui/groups/table';

export default function Page() {
  return (
    <div className="w-full">
      <AffinityGroupsTree />

      <TabView>
        <TabPanel header="Guests" leftIcon="pi pi-users mx-2">
          <div className="flex w-full items-center justify-between">
            <Suspense fallback={<SkeletonTable />}>
              <GuestsTable />
            </Suspense>
          </div>
        </ TabPanel>
        <TabPanel header="Groups" leftIcon="pi pi-sitemap mx-2">
          <div className="flex w-full items-center justify-between">
            <Suspense fallback={<SkeletonTable />}>
              <GroupsTable />
            </Suspense>
          </div>
        </ TabPanel>
      </ TabView>
    </div>

  );
}